CWSpreadsheet Class Reference

the main class to read the text part of Claris Works file More...

`#include <CWSpreadsheet.hxx>`

## Public Member Functions

| CWSpreadsheet (CWParser &parser)
| constructor More...
virtual | ~CWSpreadsheet ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...
shared_ptr< CWStruct::DSET > | readSpreadsheetZone (CWStruct::DSET const &zone, MWAWEntry const &entry, bool &complete)
| reads the zone Text DSET More...

## Protected Member Functions

bool | readZone1 (CWSpreadsheetInternal::Spreadsheet &sheet)
| try to read the first spreadsheet zone More...
bool | readContent (CWSpreadsheetInternal::Spreadsheet &sheet)
| try to read the record structure More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr < CWSpreadsheetInternal::State > | m_state
| the state More...
CWParser * | m_mainParser
| the main parser; More...
shared_ptr< CWStyleManager > | m_styleManager
| the style manager More...

## Private Member Functions

| CWSpreadsheet (CWSpreadsheet const &orig)
CWSpreadsheet & | operator= (CWSpreadsheet const &orig)

## Friends

class | CWParser

## Detailed Description

the main class to read the text part of Claris Works file

## Constructor & Destructor Documentation

CWSpreadsheet::CWSpreadsheet | ( | CWParser & | parser | ) |

constructor

CWSpreadsheet::~CWSpreadsheet | ( |  | ) |

virtual

destructor

CWSpreadsheet::CWSpreadsheet | ( | CWSpreadsheet const & | orig | ) |

private

## Member Function Documentation

int CWSpreadsheet::numPages | ( |  | ) | const

returns the number of pages

CWSpreadsheet& CWSpreadsheet::operator= | ( | CWSpreadsheet const & | orig | ) |

private

bool CWSpreadsheet::readContent | ( | CWSpreadsheetInternal::Spreadsheet & | sheet | ) |

protected

try to read the record structure

ARGHH: this zone is almost the only zone which count the header in sz ...

shared_ptr< CWStruct::DSET > CWSpreadsheet::readSpreadsheetZone | ( | CWStruct::DSET const & | zone,
|  | MWAWEntry const & | entry,
|  | bool & | complete
| ) |  |

reads the zone Text DSET

bool CWSpreadsheet::readZone1 | ( | CWSpreadsheetInternal::Spreadsheet & | sheet | ) |

protected

try to read the first spreadsheet zone

int CWSpreadsheet::version | ( |  | ) | const

returns the file version

Referenced by readZone1().

## Friends And Related Function Documentation

friend class CWParser

friend

## Member Data Documentation

CWParser* CWSpreadsheet::m_mainParser

protected

the main parser;

MWAWParserStatePtr CWSpreadsheet::m_parserState

protected

the parser state

Referenced by readContent(), readZone1(), and version().

shared_ptr<CWSpreadsheetInternal::State> CWSpreadsheet::m_state

protected

the state

shared_ptr<CWStyleManager> CWSpreadsheet::m_styleManager

protected

the style manager

The documentation for this class was generated from the following files:

- CWSpreadsheet.hxx
- CWSpreadsheet.cxx